"""Views for the main app."""

from string import ascii_lowercase

from django.shortcuts import render, redirect
from django.http import JsonResponse

from .models import Peg
from .teams_demo_test import created_teams

def index(request):
    return render(request, 'index.html')

def results(request):
    return render(request, 'results.html')

def scoreboard(request):
    return render(request, 'scoreboard.html')

def teams(request):
    return render(request, 'teams.html')

def bulk_create_pegs(request):
    """Bulk create pegs"""

    number_of_pegs = request.POST.get("pegAmount")
    for i in range(int(number_of_pegs)):
        Peg.objects.create()

    # return to previous page
    return redirect(request.META.get('HTTP_REFERER'))

def get_teams(request):
    """Returns list of teams."""

    if not request.POST:
        return

    search = request.POST.get("search")

    if search:
        created_teams.sort(reverse=True, key=lambda team: next((
            member["name"] for member in team["members"]
            if search.lower() in member["name"].lower()), ""
        ))
    else:
        created_teams.sort(reverse=False, key=lambda team: team["identifier"])

    return JsonResponse({"teams": created_teams})
